Update a resource
curl --request PATCH \
--url https://api.journeybee.io/v1/resources/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "<string>",
"summary": "<string>",
"live": true,
"partner_type_referral": true,
"partner_type_reseller": true,
"partner_type_distributor": true,
"asset_uuid": "<string>"
}
'import requests
url = "https://api.journeybee.io/v1/resources/{uuid}"
payload = {
"label": "<string>",
"summary": "<string>",
"live": True,
"partner_type_referral": True,
"partner_type_reseller": True,
"partner_type_distributor": True,
"asset_uuid": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: '<string>',
summary: '<string>',
live: true,
partner_type_referral: true,
partner_type_reseller: true,
partner_type_distributor: true,
asset_uuid: '<string>'
})
};
fetch('https://api.journeybee.io/v1/resources/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "<string>",
"label": "<string>",
"summary": "<string>",
"live": true,
"created_at": "<string>",
"updated_at": "<string>",
"asset_uuid": "<string>",
"tags": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"categories": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"folders": [
{
"uuid": "<string>",
"label": "<string>"
}
],
"blocks": [
{
"uuid": "<string>",
"series": 123,
"title": "<string>",
"content": "<unknown>",
"style": {
"background_color": "<string>",
"text_color": "<string>",
"border": {
"width": 123,
"color": "<string>",
"radius": 123
},
"padding": {
"top": 123,
"bottom": 123,
"left": 123,
"right": 123
},
"margin": {
"top": 123,
"bottom": 123,
"left": 123,
"right": 123
}
},
"asset_uuid": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"partner_type_referral": true,
"partner_type_reseller": true,
"partner_type_distributor": true
}Resources
Update a resource
PATCH
/
resources
/
{uuid}
Update a resource
Authorizations
API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Response
200 - application/json
Default Response
Available options:
internal, partner, campaigns, public Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I